// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Item{
	id: main
	width: 40
	height: 40
	state: "StateNone"
	states: [
		State {
			name: "StateNone"
			PropertyChanges {
				target: box
				//visible: false
				color: "white" //"lightgray"
				border.color: "lightgray"
				border.width: 3
			}
			PropertyChanges {
				target: boxImg
				visible: false
			}
			PropertyChanges {
				target: boxInd
				running: false
				visible: false
			}
		},

		State {
			name: "StateUpd"
			PropertyChanges {
				target: box
				visible: true
				color: "white" //"lightgray"
				border.color: "lightgray"
				border.width: 3
			}
			PropertyChanges {
				target: boxImg
				visible: false
			}
			PropertyChanges {
				target: boxInd
				running: true
				visible: true
			}
		},
		State {
			name: "StateOk"
			PropertyChanges {
				target: box
				visible: true
				color: "green"
				border.color: "gray"
				border.width: 0
			}
			PropertyChanges {
				target: boxImg
				source: "../images/icon-m-invitation-accept.png"
				visible: true

			}
			PropertyChanges {
				target: boxInd
				running: false
				visible: false
			}
		},
		State {
			name: "StateErr"
			PropertyChanges {
				target: box
				visible: true
				color: "red"
				border.color: "gray"
				border.width: 0
			}
			PropertyChanges {
				target: boxImg
				source: "../images/icon-m-invitation-declined.png"
				visible: true

			}
			PropertyChanges {
				target: boxInd
				running: false
				visible: false
			}
		}
	]

	Rectangle {
		id: box
		width: main.height
		height: box.width
		color: "green"
		//border.color: "black"
		anchors.centerIn: parent
		radius: 20
		smooth: true


//		Text {
//			id: boxText
//			 color: "red"
//			 text: "er"
//			 font.bold: true
//			 anchors.centerIn: parent
//			 font.pixelSize: box.width-25
//		 }

		Image {
			id: boxImg
			anchors.centerIn: parent
			visible: false
			source: ""
		}
		BusyIndicator {
			id: boxInd
			anchors.centerIn: parent
			visible: false
			running: false
		}
	}
}
